Subject: Re: [PATCH v3 16/27] Mips/MSI: Save msi chip in pci sysdata

From: Ralf Baechle <[email-masked]>
Date: Sat, 25 Oct 2014 15:04:28 +0200

On Wed, Oct 15, 2014 at 11:07:04AM +0800, Yijing Wang wrote:

> +static inline struct msi_chip *pci_msi_chip(struct pci_bus *bus)
> +{
> +	struct pci_controller *control = (struct pci_controller *)bus->sysdata;

bus->sysdata is void * so this cast is unnecessary.

  Ralf